org.apache.storm.starter.trident

## Class TridentMinMaxOfDevicesTopology

- java.lang.Object
- - org.apache.storm.starter.trident.TridentMinMaxOfDevicesTopology

-     public class TridentMinMaxOfDevicesTopology
      extends Object

  This class demonstrates different usages of * `Stream.minBy(String)` * `Stream.maxBy(String)` operations on trident `Stream`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TridentMinMaxOfDevicesTopology()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StormTopology` | `buildDevicesTopology()` Creates a topology with device-id and count (which are whole numbers) as tuple fields in a stream and it finally generates result stream based on min amd max with device-id and count values.
    `static StormTopology` | `buildVehiclesTopology()` Creates a topology which demonstrates min/max operations on tuples of stream which contain vehicle and driver fields with values `TridentMinMaxOfDevicesTopology.Vehicle` and `TridentMinMaxOfDevicesTopology.Driver` respectively.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TridentMinMaxOfDevicesTopology

          public TridentMinMaxOfDevicesTopology()

  - ### Method Detail

    - #### buildDevicesTopology

          public static StormTopology buildDevicesTopology()

      Creates a topology with device-id and count (which are whole numbers) as tuple fields in a stream and it finally generates result stream based on min amd max with device-id and count values.

    - #### buildVehiclesTopology

          public static StormTopology buildVehiclesTopology()

      Creates a topology which demonstrates min/max operations on tuples of stream which contain vehicle and driver fields with values `TridentMinMaxOfDevicesTopology.Vehicle` and `TridentMinMaxOfDevicesTopology.Driver` respectively.

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.